[arch-commits] CVS update of extra/lib/ndesk-dbus (PKGBUILD)

Jan de Groot jgc at archlinux.org
Tue Dec 11 15:12:20 EST 2007


    Date: Tuesday, December 11, 2007 @ 15:12:20
  Author: jgc
    Path: /home/cvs-extra/extra/lib/ndesk-dbus

   Added: PKGBUILD (1.1)

upgpkg: ndesk-dbus 0.6.0-1
Add new package as dependency for F-Spot and others


----------+
 PKGBUILD |   24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)


Index: extra/lib/ndesk-dbus/PKGBUILD
diff -u /dev/null extra/lib/ndesk-dbus/PKGBUILD:1.1
--- /dev/null	Tue Dec 11 15:12:20 2007
+++ extra/lib/ndesk-dbus/PKGBUILD	Tue Dec 11 15:12:20 2007
@@ -0,0 +1,24 @@
+# Contributor: tardo <tardo at nagi-fanboi.net>
+
+pkgname=ndesk-dbus
+pkgver=0.6.0
+pkgrel=1
+pkgdesc="C# implementation of D-Bus"
+arch=('i686' 'x86_64')
+url="http://www.ndesk.org/DBusSharp"
+license=('custom')
+depends=('mono')
+makedepends=('pkgconfig')
+options=(!makeflags)
+source=(http://www.ndesk.org/archive/dbus-sharp/${pkgname}-${pkgver}.tar.gz)
+md5sums=('5157ba105c9ac491f6e900bc78d1791f')
+
+build() {
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  export MONO_SHARED_DIR="${startdir}/src/.wabi"
+  mkdir -p "${MONO_SHARED_DIR}"
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
+  make || return 1
+  make DESTDIR=${startdir}/pkg install || return 1
+  install -D COPYING ${startdir}/pkg/usr/share/licenses/${pkgname}/COPYING
+}




More information about the arch-commits mailing list